Good add-on, but leaks DNS requests Puntuado con 4 de 5 estrellas

I'm using this add-on with SOCKS5 proxy and one huge disadvantage (comparing to old add-on and standard FF proxy settings) is leaking DNS requests to clear Internet.

Old add-on and FF "proxy" settings have option to send DNS requests through SOCKS5.

Solution

Until Firefox 57, WebExtensions could not send DNS requests through SOCKS5. That is fixed and FoxyProxy 5.1 has that option. It's not released yet but will be shortly. In the meantime, you should install the old 4.6.5 version. There are instructions at https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/

Must-have for censorship avoiding Puntuado con 5 de 5 estrellas

Works fine with TOR. Add Google DNS to it, and you can forget that you live in Russia. I must thank the developers for this extension, it made the internet surfing much easier.

Explicit "thank you" for taking time to create a brand new extension - after Mozilla introduced the new API.

thank you

Thank you very much. It means more than you know.

Puntuado con 5 de 5 estrellas

FF 55 V 4.6.5

At least onesimple must have func Puntuado con 5 de 5 estrellas

There is one function I'm missing a lot: a switch for temporary enable/disable proxies for ALL url's. Nowadays I have to go to patterns just to check if site is blocked for my IP or just not working.

Seriously? Get the software fully working before upgrading your users Puntuado con 1 de 5 estrellas

I get it. But I'd have much rather been stuck on the older version while you polish the new version. I just lost a lot of functionality and gained nothing.

Awful upgrade experience Puntuado con 1 de 5 estrellas

That upgrade experience wasn't wonderful. I get it, the transition isn't easy to do smoothly, but this basically hit out of the blue, broke FoxyProxy at a time when I critically needed it working (I'm on-call), and while Import appears in the new version, clicking it does sweet nothing.

Sync is not something everyone can do. I can't for security reasons at work, for example. I understand the forced migration is largely out of your hands, but you could at least have saved releasing the add-on until you'd got the import mechanism working.

Puntuado con 5 de 5 estrellas

Nice

Fix it by uninstalling the auto-upgraded one and reinstall it from this page Puntuado con 5 de 5 estrellas

I guess the suddenly automatical upgrade to a totally useless version was not the fault of FoxyProxy Standard, as you can fix it by manully uninstalling it and install the old 'legacy' version from this page.

I guess the suck upgrade was by Firefox.

how to get old version and your old settings

How to get old version and old settings:
----
1. Uninstall the version 5.0 (type about:addons in the address type and remove FoxyProxy)
2. Install version 4.6.5 from here: https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/versions/ you want version
3. Your old settings will magically reappear

This is a temporary solution--that older version will only work until November 2017 when Firefox 57 comes out. But long before that time, the new version will have evolved with more features. Note that some features are not possible anymore due to Firefox's new addon ecosystem called WebExtensions. They are much more restricted than older addons (pre Firefox-57).
-----
WE ARE RELEASING UPDATES EVERY FEW DAYS WITH MORE FEATURES IN ORDER TO RETURN TO THE ORIGINAL FOXYPROXY PRE-5.0 version!

An "Update" rendered it almost unusable Puntuado con 1 de 5 estrellas

Without warning, an update dropped most useful features, and trashed the configuration. Went overnight from a really useful reliable tool to a more shiny imitate.

bad bad bad news Puntuado con 1 de 5 estrellas

foxy proxy was one of my important reasons for using firefox and now i have to switch to chrome again:) or change my proxy AddOn on ff

plz make new foxy proxy as simple as it was before.

how to get old version and your old settings

How to get old version and old settings:
----
1. Uninstall the version 5.0 (type about:addons in the address type and remove FoxyProxy)
2. Install version 4.6.5 from here: https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/versions/ you want version
3. Your old settings will magically reappear

This is a temporary solution--that older version will only work until November 2017 when Firefox 57 comes out. But long before that time, the new version will have evolved with more features. Note that some features are not possible anymore due to Firefox's new addon ecosystem called WebExtensions. They are much more restricted than older addons (pre Firefox-57).
-----
WE ARE RELEASING UPDATES EVERY FEW DAYS WITH MORE FEATURES IN ORDER TO RETURN TO THE ORIGINAL FOXYPROXY PRE-5.0 version!

From best to barely usable Puntuado con 5 de 5 estrellas

Overnight it dropped all the features and silently wiped all settings. Absolutely disgusting.
E: old version still works, yay

how to get old version and your old settings

How to get old version and old settings:
----
1. Uninstall the version 5.0 (type about:addons in the address type and remove FoxyProxy)
2. Install version 4.6.5 from here: https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/versions/ you want version
3. Your old settings will magically reappear

This is a temporary solution--that older version will only work until November 2017 when Firefox 57 comes out. But long before that time, the new version will have evolved with more features. Note that some features are not possible anymore due to Firefox's new addon ecosystem called WebExtensions. They are much more restricted than older addons (pre Firefox-57).
-----
WE ARE RELEASING UPDATES EVERY FEW DAYS WITH MORE FEATURES IN ORDER TO RETURN TO THE ORIGINAL FOXYPROXY PRE-5.0 version!

What happened??? the new version is unuable Puntuado con 1 de 5 estrellas

What happened??? the new version is unuable

WebExtensions Puntuado con 4 de 5 estrellas

Like the way the new version (WebExtensions) is developing, except that authentication through SOCKS5 is not supported

firefox bug

Hello, thanks for the reply. Unfortunately, that is a Mozilla/Firefox bug in the new WebExtension technology. There is a bugzilla bug and it is being worked. We expect it available in Firefox 58 but no guarantees (it is up to Mozilla. not us)

Why was a totally broken update pushed out? Puntuado con 1 de 5 estrellas

I know I can downgrade again, but why did the developer decide to push this update and not wait a few weeks until the new version is actually usable, and that migrates the settings from the old one?

This is a really serious issue as all proxies are just disabled silently in the background without any kind of warning. I couldn't access sites any more for which I need a company proxy, and people who use an anonymity proxy of course silently lost their anonymity too.

I understand it has to be redesigned because the Firefox framework changes, but it should never have been published in this state.

the new version is real shit ! Puntuado con 1 de 5 estrellas

new version is useless

v5 is an horrible downgrade Puntuado con 1 de 5 estrellas

v5 updated silently today without my knowledge, silently removing all my proxies and secured channels
Removed this mess quickly and disabled all automatic updates.

New version is sux! Puntuado con 1 de 5 estrellas

Whyyyyy? Looks like new skype!
unusable!
But thanks for the downgrade how-to.
1 start for new version, but 5 for previous.

Absolutely ridiculous to push 5.0 out Puntuado con 1 de 5 estrellas

What a silly decision to upgrade to 5.0 without warning when the majority of features that actually make the addon usable are missing and 4.6.5 still works perfectly fine for now.

Make sure it's at feature parity and offer a way to migrate settings.

how to get old version and your old settings

How to get old version and old settings:
----
1. Uninstall the version 5.0 (type about:addons in the address type and remove FoxyProxy)
2. Install version 4.6.5 from here: https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/versions/ you want version
3. Your old settings will magically reappear

This is a temporary solution--that older version will only work until November 2017 when Firefox 57 comes out. But long before that time, the new version will have evolved with more features. Note that some features are not possible anymore due to Firefox's new addon ecosystem called WebExtensions. They are much more restricted than older addons (pre Firefox-57).

so terrible Puntuado con 1 de 5 estrellas

new version is suck, in old version i have set everything, but in new version all disappear, and the new version can not use!

New version is useless Puntuado con 1 de 5 estrellas

I've used this proxy to bypass some blocked sites in my country (UA) - it very badly affects sites where are some blocked stat counters or social login buttons. I don't want ALL my traffic through the proxy, only the blocked bits - I've used URL filters for that. But it's no more in new version. I don't need add-on to simply add proxy - I can do that is settings!